Bug 994318 - [fork][origin_runtime_186]Failed to create the second aerogear push server app
[fork][origin_runtime_186]Failed to create the second aerogear push server app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Farah Juma
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 23:43 EDT by Yan Du
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:49:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
platform log (99.79 KB, text/plain)
2013-08-06 23:43 EDT, Yan Du
no flags Details
platform-trace log (101.47 KB, text/plain)
2013-08-07 00:58 EDT, Yan Du
no flags Details

  None (edit)
Description Yan Du 2013-08-06 23:43:30 EDT
Created attachment 783644 [details]
platform log

Description of problem:

After creating one aerogear push server successfully and trying to creating another, it's failed to create the second aerogear push server app. 



Version-Release number of selected component (if applicable):
fork_ami_aerogear_push_748


How reproducible:
Always


Steps to Reproduce:
1. rhc app create ap1 aerogear-push-0.8.0 mysql-5.1
2. rhc app create ap2 aerogear-push-0.8.0 mysql-5.1


Actual results:


1. ap1 can be created successfully

[root@Daphne test]# rhc app create ap1 aerogear-push-0.8.0 mysql-5.1
Application Options
-------------------
  Namespace:  aaa
  Cartridges: aerogear-push-0.8.0, mysql-5.1
  Gear Size:  default
  Scaling:    no
Creating application 'ap1' ... done
  MySQL 5.1 database added.  Please make note of these credentials:
       Root User: adminuRiw8TA
   Root Password: w3DUdnb1TUX1
   Database Name: ap1
Connection URL: mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/
You can manage your new MySQL database by also embedding phpmyadmin-3.4.
The phpmyadmin username and password will be the same as the MySQL credentials above.
Waiting for your DNS name to be available ... done
Initialized empty Git repository in /home/test/ap1/.git/
The authenticity of host 'ap1-aaa.dev.rhcloud.com (54.234.64.100)' can't be established.
RSA key fingerprint is c1:01:83:2d:6e:dd:c3:cb:96:39:d8:60:23:30:ff:a4.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'ap1-aaa.dev.rhcloud.com' (RSA) to the list of known hosts.
Your application 'ap1' is now available.
  URL:        http://ap1-aaa.dev.rhcloud.com/
  SSH to:     5201bbbabe955709a2000001@ap1-aaa.dev.rhcloud.com
  Git remote: ssh://5201bbbabe955709a2000001@ap1-aaa.dev.rhcloud.com/~/git/ap1.git/
  Cloned to:  /home/test/ap1
Run 'rhc show-app ap1' for more details about your app.



2. ap2 can't be created

[root@Daphne test]# rhc app create ap2 aerogear-push-0.8.0 mysql-5.1
Application Options
-------------------
  Namespace:  aaa
  Cartridges: aerogear-push-0.8.0, mysql-5.1
  Gear Size:  default
  Scaling:    no
Creating application 'ap2' ... 
ln:  creating symbolic link  `/var/lib/openshift/5201bc97be955709a2000002/aerogear-push//usr/modules/org/jboss/aerogear/netty/main/module.xml':  File exists
ln:  creating symbolic link  `/var/lib/openshift/5201bc97be955709a2000002/aerogear-push//usr/modules/org/jboss/aerogear/netty/main/netty-all-4.0.5.Final-SNAPSHOT.jar':  File exists
ln:  creating symbolic link  `/var/lib/openshift/5201bc97be955709a2000002/aerogear-push//usr/modules/org/jboss/aerogear/netty/main/netty-subsystem-1.0.0-SNAPSHOT.jar':  File exists
ln:  creating symbolic link  `/var/lib/openshift/5201bc97be955709a2000002/aerogear-push//usr/modules/org/jboss/aerogear/netty/main/netty-subsystem-api-1.0.0-SNAPSHOT.jar':  File exists



Expected results:
Both aerogear push server apps can be created.


Additional info:
1. platform.log has attached.
2. Test ok with fork_ami_pmorie_736
Comment 1 Yan Du 2013-08-07 00:58:39 EDT
Created attachment 783663 [details]
platform-trace log
Comment 2 Farah Juma 2013-08-08 18:51:35 EDT
I had temporarily made a change to the way the Netty and SimplePush modules get installed to try something out for the downloadable cartridge. I've changed this back to the way it was before (i.e., the modules get installed from the spec file again as shown here: https://github.com/fjuma/origin-server/commit/aef009669fb1d8802ee245f6b35415f4b1aa4d62). Once a new AMI is ready, this bug should no longer occur.
Comment 3 Farah Juma 2013-08-12 12:00:41 EDT
The new fork AMI is now ready for testing: fork_ami_aerogear_push_758
Comment 4 Yan Du 2013-08-13 02:32:45 EDT
test on fork_ami_aerogear_push_758, issue can't be reproduced. aerogear push server apps can be created successfully.

Note You need to log in before you can comment on or make changes to this bug.